## org.eclipse.amp.amf.abase.aBase.presentation
Class ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.amp.amf.abase.aBase.presentation.ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Enclosing class:
  ABaseModelWizard

    public class ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage

extends org.eclipse.jface.wizard.WizardPage

This is the page where the type of object to create is selected.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage(java.lang.String pageId)` Pass in the selection.

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getEncoding()`
`java.lang.String` `getInitialObjectName()`
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage

    public ABaseModelWizard.ABaseModelWizardInitialObjectCreationPage(java.lang.String pageId)

  Pass in the selection.

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### getInitialObjectName

    public java.lang.String getInitialObjectName()

### getEncoding

    public java.lang.String getEncoding()